﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace RadMenu_SL_656439
{
    public class MenuItemProperties
    {



        public static int GetPopupIconColumnWidth(DependencyObject obj)
        {
            return (int)obj.GetValue(PopupIconColumnWidthProperty);
        }

        public static void SetPopupIconColumnWidth(DependencyObject obj, int value)
        {
            obj.SetValue(PopupIconColumnWidthProperty, value);
        }

        // Using a DependencyProperty as the backing store for PopupIconColumnWidth.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty PopupIconColumnWidthProperty =
            DependencyProperty.RegisterAttached("PopupIconColumnWidth", typeof(int), typeof(MenuItemProperties), new PropertyMetadata(28, OnPopupIconColumnWidthChanged));

        private static void OnPopupIconColumnWidthChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            if (e.NewValue != e.OldValue)
            {
                SetPopupIconColumnWidth(d, (int)e.NewValue);
            }
        }
    }
}
